# Acknowledge Events

Acknowledge a set of events, dismissing them from future polling calls.

HOST: **Keeta**
DIRECTION:

Endpoint: POST /v1/events/acknowledgment
Version: v.1.0.7
Security: OAuth2, Sig

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: od.all

  - `Sig` (unknown)
    apiKey in header X-App-Signature

## Request fields (application/json):

  - `id` (string, required)
    A unique identifier of the event.

  - `orderId` (string, required)
    The unique identifier of the order. The order ID is generated by Keeta.

  - `eventType` (string, required)
    The event type. **[Click here](#operation/pollingEvents)** for definitions of each type.
    Enum: "CREATED", "CONFIRMED", "DISPATCHED", "READY_FOR_PICKUP", "PICKED_UP", "DELIVERED", "CONCLUDED", "CANCELLATION_REQUESTED", "CANCELLED", "USER_REFUND_REQUEST", "REFUNDED", "REFUND_FAILED", "RECOMMENDED_PREPARATION_START"

## Response 202:

  - `202` (unknown)
    Request has been accepted for processing.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 401:

  - `401` (unknown)
    Request lacks valid authentication credentials for the target resource

## Response 401 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 403:

  - `403` (unknown)
    Authenticated participant request that violates some authorization rule.

## Response 403 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 404:

  - `404` (unknown)
    The requested resource was not found.

## Response 404 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

## Response 503:

  - `503` (unknown)
    Service is not currently available. Requested service may be under maintenance or outside the operating window.

## Response 503 fields (application/problem+json):

  - `title` (string, required)
    Short description of the problem.
    Example: Unexpected error

  - `status` (integer, required)
    HTTP code of the returned status.
    Example: 500

